Subject: bug#22763: 25.1.50; Feature Request -- A faster method to obtain line number at position.

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Feb 2021 15:37:28 -0500

> So ... it's using the cache is only faster when we have monumentally
> long lines, since memchr is so fast?  And in buffers with lines with
> normal line lengths, it's 10x slower?  That sounds like a rather drastic
> trade-off.

Yes, the problem is when you have pathologically-long lines (typically,
when the whole file has virtually no \n in it, so lines can reach
multi-MB lengths).

        Stefan